#ifndef SSEditor_H
#define SSEditor_H

#include <Text.h>
#include <Server.h>

using namespace Framework;
using namespace Network;

class SSEditor : public virtual ReferenceCounter
{
private:
    Text pfad;
    Text workPfad;
    Text fehler;

public:
    // Konstruktor
    SSEditor( char *pf );
    // Destruktor
    ~SSEditor();
    // nicht constant
    bool prozessMessage( SKlient *zKlient );
    // constant
    char *getLetzterFehler() const;
};

#endif